package com.zehong.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 燃气隐患对象 t_hidden_trouble_info
 * 
 * @author zehong
 * @date 2022-03-24
 */
public class THiddenTroubleInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 隐患id */
    private Long hiddenTroubleId;

    /** 巡检任务id */
    @Excel(name = "巡检任务id")
    private Long workId;

    /** 隐患名称 */
    @Excel(name = "隐患名称")
    private String hiddenTroubleName;

    /** 隐患等级: 1.I级 2.II级 3.III级 */
    @Excel(name = "隐患等级: 1.I级 2.II级 3.III级")
    private String hiddenTroubleLevel;

    /** 隐患类型: 1.漏气 2.腐蚀 3.裂缝 4.设备故障 5.安全距离不足 6.管道承重 7.其他 */
    @Excel(name = "隐患类型: 1.漏气 2.腐蚀 3.裂缝 4.设备故障 5.安全距离不足 6.管道承重 7.其他")
    private String hiddenTroubleType;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /** 图片地址 */
    @Excel(name = "图片地址")
    private String pictureUrl;

    /** 隐患描述 */
    @Excel(name = "隐患描述")
    private String hiddenTroubleDescribe;

    /** 上报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "上报时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    /** 上报人 */
    @Excel(name = "上报人")
    private String reportPerson;

    /** 隐患处理状态: 1.待处理 2.处理中 3.已完成 */
    @Excel(name = "隐患处理状态: 1.待处理 2.处理中 3.已完成")
    private String hiddenTroubleDealStatus;

    /** 隐患处理情况 */
    @Excel(name = "隐患处理情况")
    private String hiddenTroubleDealCondition;

    /** 隐患处理完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "隐患处理完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date hiddenTroubleDealFinishTime;

    /** 是否删除(0正常，1删除) */
    @Excel(name = "是否删除(0正常，1删除)")
    private String isDel;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    public void setHiddenTroubleId(Long hiddenTroubleId) 
    {
        this.hiddenTroubleId = hiddenTroubleId;
    }

    public Long getHiddenTroubleId() 
    {
        return hiddenTroubleId;
    }
    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }
    public void setHiddenTroubleName(String hiddenTroubleName) 
    {
        this.hiddenTroubleName = hiddenTroubleName;
    }

    public String getHiddenTroubleName() 
    {
        return hiddenTroubleName;
    }
    public void setHiddenTroubleLevel(String hiddenTroubleLevel) 
    {
        this.hiddenTroubleLevel = hiddenTroubleLevel;
    }

    public String getHiddenTroubleLevel() 
    {
        return hiddenTroubleLevel;
    }
    public void setHiddenTroubleType(String hiddenTroubleType) 
    {
        this.hiddenTroubleType = hiddenTroubleType;
    }

    public String getHiddenTroubleType() 
    {
        return hiddenTroubleType;
    }
    public void setLongitude(BigDecimal longitude) 
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(BigDecimal latitude) 
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude() 
    {
        return latitude;
    }
    public void setPictureUrl(String pictureUrl) 
    {
        this.pictureUrl = pictureUrl;
    }

    public String getPictureUrl() 
    {
        return pictureUrl;
    }
    public void setHiddenTroubleDescribe(String hiddenTroubleDescribe) 
    {
        this.hiddenTroubleDescribe = hiddenTroubleDescribe;
    }

    public String getHiddenTroubleDescribe() 
    {
        return hiddenTroubleDescribe;
    }
    public void setReportTime(Date reportTime) 
    {
        this.reportTime = reportTime;
    }

    public Date getReportTime() 
    {
        return reportTime;
    }
    public void setReportPerson(String reportPerson) 
    {
        this.reportPerson = reportPerson;
    }

    public String getReportPerson() 
    {
        return reportPerson;
    }
    public void setHiddenTroubleDealStatus(String hiddenTroubleDealStatus) 
    {
        this.hiddenTroubleDealStatus = hiddenTroubleDealStatus;
    }

    public String getHiddenTroubleDealStatus() 
    {
        return hiddenTroubleDealStatus;
    }
    public void setHiddenTroubleDealCondition(String hiddenTroubleDealCondition) 
    {
        this.hiddenTroubleDealCondition = hiddenTroubleDealCondition;
    }

    public String getHiddenTroubleDealCondition() 
    {
        return hiddenTroubleDealCondition;
    }
    public void setHiddenTroubleDealFinishTime(Date hiddenTroubleDealFinishTime) 
    {
        this.hiddenTroubleDealFinishTime = hiddenTroubleDealFinishTime;
    }

    public Date getHiddenTroubleDealFinishTime() 
    {
        return hiddenTroubleDealFinishTime;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("hiddenTroubleId", getHiddenTroubleId())
            .append("workId", getWorkId())
            .append("hiddenTroubleName", getHiddenTroubleName())
            .append("hiddenTroubleLevel", getHiddenTroubleLevel())
            .append("hiddenTroubleType", getHiddenTroubleType())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("pictureUrl", getPictureUrl())
            .append("hiddenTroubleDescribe", getHiddenTroubleDescribe())
            .append("reportTime", getReportTime())
            .append("reportPerson", getReportPerson())
            .append("hiddenTroubleDealStatus", getHiddenTroubleDealStatus())
            .append("hiddenTroubleDealCondition", getHiddenTroubleDealCondition())
            .append("hiddenTroubleDealFinishTime", getHiddenTroubleDealFinishTime())
            .append("isDel", getIsDel())
            .append("remarks", getRemarks())
            .toString();
    }
}
